Bug 1089805 - avogadro: Fails to build with Boost 1.67.0
avogadro: Fails to build with Boost 1.67.0
Status: RESOLVED INVALID
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal with 5 votes (vote)
: ---
Assigned To: Dmitry Roshchin
E-mail List
:
Depends on:
Blocks: 1089801
  Show dependency treegraph
 
Reported: 2018-04-17 08:09 UTC by Adam Majer
Modified: 2018-08-20 13:42 UTC (History)
18 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Majer 2018-04-17 08:09:31 UTC
New Boost library has been released and unfortunately this package fails to build with it. The new boost library is already submitted to devel:libraries:c_c++/boost and will be submitted to openSUSE:Factory shortly.

https://build.opensuse.org/package/live_build_log/home:adamm:boost_test/avogadro/openSUSE_Tumbleweed/x86_64

> [  394s] + '[' '!' -e /home/abuild/rpmbuild/BUILDROOT/avogadro-1.2.0-3.2.x86_64/usr/lib64/python2.7/site-packages/Avogadro.so ']'
> [  394s] + find /home/abuild/rpmbuild/BUILDROOT/avogadro-1.2.0-3.2.x86_64 -name Avogadro.so
> [  394s] + xargs mv -t /home/abuild/rpmbuild/BUILDROOT/avogadro-1.2.0-3.2.x86_64/usr/lib64/python2.7/site-packages/
> [  394s] mv: missing file operand
> [  394s] Try 'mv --help' for more information.
> [  394s] error: Bad exit status from /var/tmp/rpm-tmp.vvYOnP (%install)

In new boost, Python2 support has been disabled by default. Please adjust your package accordingly so it continues to function with Python3 only.
Comment 1 Adam Majer 2018-08-16 13:38:14 UTC
Fixed. Re-enabled python2.
Comment 2 Stanislav Brabec 2018-08-20 13:42:31 UTC
Please note that python2 will be dropped from Factory soon, or at least no more available in all SUSE products. Only python3 is supported.